<div *ngIf="data" class="better-table">
  <div class="better-table__header row">
    <div class="col-md-1 text-center d-none d-md-block">
      ID
    </div>
    <div class="col-4 text-center">
      Event Name
    </div>
    <div class="col-md-3 col-4 text-center">
      Market Type
    </div>
    <div class="col-md-2 col-4 text-center">
      Prediction
    </div>
    <div class="col-2 text-center d-none d-md-block">
      Status
    </div>
  </div>
  <div *ngIf="data.length else emptyBlock" class="better-table__body">
    <ng-container *ngFor="let item of data">
      <div class="row table-item">
        <div class="table-items col-md-1 text-center d-none d-md-block">
          {{ item.id }}
        </div>
        <div class="table-items col-4 text-center">
          {{ item.event_name }}
        </div>
        <div class="table-items col-md-3 col-4 text-center">
          {{ item.market_type | underscoreSpace | titlecase }}
        </div>
        <div class="table-items col-md-2 col-4 text-center">
          {{ item.prediction }}
        </div>
        <div class="table-items col-2 text-center d-none d-md-block">
          {{ item.status | titlecase }}
        </div>
      </div>
    </ng-container>
  </div>
  <ng-template #emptyBlock>
    <div class="row">
      <div class="col-12 text-center">
        There are no predictions added yet!
      </div>
    </div>
  </ng-template>
  <div class="better-table__footer row">
    <div class="col-12 text-center">
      Table Footer
    </div>
  </div>
  <div class="add-button">
    <a [routerLink]="['/add-prediction']">
      <i class="mdi mdi-plus"></i>
    </a>
  </div>
</div>
